microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a specific version of a skill
DELETE
/skills/{name}/versions/{version}
Removes the specified version of a skill.
Parámetros de la ruta de acceso
name
string
requerido
The name of the skill.
version
string
requerido
The version identifier to delete.
Parámetros de encabezado
Foundry-Features
enum
requerido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Parámetros de consulta
api-version
string
requerido
The API version to use for this operation.
Respuestas
The request has succeeded.
Cuerpo
Content-Type: application/json
id
string
requerido
The unique identifier of the deleted skill version.
name
string
requerido
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
requerido
Whether the skill version was successfully deleted.
version
string
requerido
The version that was deleted.
Solicitar
DELETE /skills/{name}/versions/{version} HTTP/1.1
Respuesta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json